IBM Tivoli Composite Application Manager for Transactions Response Time 7.4 Interim Fix 16 README Tivoli Composite Application Manager for Transactions 7.4.0.0 7.4.0.0-TIV-CAMRT-IF0016 Readme

Readme file for: 7.4.0.0-TIV-CAMRT-IF0016
Product/Component Release: 7.4.0.0
Update Name: 7.4.0.0-TIV-CAMRT-IF0016
Fix ID: 7.4.0.0-TIV-CAMRT-AIX-IF0016, 7.4.0.0-TIV-CAMRT-LINUX-IF0016, 7.4.0.0-TIV-CAMRT-WINDOWS-IF0016
Publication Date: 22 May 2014
Last modified date: 22 May 2014

Download location

The information included in this document is published at product release time. For the latest updates on this release please refer to the on-line document: To download this update you must first login to IBM FixCentral. Once logged in, you may select from the individual download packages. HPUX and Solaris downloads are no longer provided.
http://www.ibm.com/eserver/support/fixes/

Below is a list of components, platforms, and file names that apply to this Readme file.

Fix Download for AIX

Product/Component Name: Platform: Fix:
Tivoli Composite Application Manager for Transactions AIX
7.4.0.0-TIV-CAMRT-AIX-IF0016

Fix Download for Linux

Product/Component Name: Platform: Fix:
Tivoli Composite Application Manager for Transactions Linux
7.4.0.0-TIV-CAMRT-LINUX-IF0016

Fix Download for Windows

Product/Component Name: Platform: Fix:
Tivoli Composite Application Manager for Transactions Windows
7.4.0.0-TIV-CAMRT-WINDOWS-IF0016

Prerequisites and co-requisites

This upgrade for ITCAM for Robotic Response Time may be applied to the following base versions.

  • 7.1.0.x - AIX, Windows, Linux
  • 7.2.0.x - AIX, Windows, Linux
  • 7.3.0.x - AIX, Windows, Linux
  • 7.4.0.x - AIX, Windows, Linux
Notes:
  1. Supported base versions include interim fixes applied to any of the above release levels.

This patch replaces the two JREs shipped with the Robotics Response Time (T6) agent, bringing them to the latest level. This remediates multiple security issues.

This patch is applicable for T6 agents:

  • versions 7.4.0.x, 7.3.0.x, 7.2.0.x and 7.1.0.x
  • Windows, AIX and Linux platforms.
The T6's JREs are only used when playing back Rational Performance Tester (RPT) scripts, thus not available on Solaris and HPUX (RPT playback is not supported on Solaris and HPUX).
7.4 and 7.3 agents need to update both java60 and java 70 JREs. 7.2 and 7.1 agents only needs to update java60. These variations are noted in the installation steps below.
Any customisations done to the existing JREs needs to be preserved. Since these JREs are product specific (ie only used by the T6 agent), there should only be at most one customisation as instructed by IBM support; which is to enable strong encryption by updating the JRE's encryption policy (see technote in Related Material).
After the patch, the Java versions will be:
  • Java 6.0 SR16
  • Java 7.0 SR7

Related material:
Oracle's Java April 2014 CPU Advisory - details vulnerabilities addressed
http://www.oracle.com/technetwork/topics/security/cpuapr2014-1972952.html


Details on Strong Encryption keys
http://www-01.ibm.com/support/docview.wss?uid=swg21245273

Installation information

Before Installing

Validate pre-existing java is older than ones delivered in this IFix.
The RRT Agent's javas are located in

  • Windows:
    • java60: $ITMHOME\tmaitm6\java60
    • java70: $ITMHOME\tmaitm6\java70 - only in 7.3.0.1-LA2 and later
  • Unix:
    • java60: $ITMHOME/tmaitm6/java60
    • java70: $ITMHOME/tmaitm6/java70 - only in 7.3.0.1-LA2 and later

Check their versions, for example
C:\ibm\itm\TMAITM6> .\java70\jre\bin\java.exe -version

java version "1.7.0"
Java(TM) SE Runtime Environment (build pwi3270sr6fp1-20140108_01(SR6 FP1))
IBM J9 VM (build 2.6, JRE 1.7.0 Windows Server 2008 x86-32 20140106_181350 (JIT enabled, AOT enabled)
J9VM - R26_Java726_SR6_20140106_1601_B181350
JIT - r11.b05_20131003_47443.02
GC - R26_Java726_SR6_20140106_1601_B181350
J9CL - 20140106_181350)
JCL - 20140103_01 based on Oracle 7u51-b11


Installing

Notes

  1. If you are using 7.2 and 7.1 T6 agents, you do not need to unarchive the \java70 directory. For 7.3 onwards, please unarchive both JREs.
  2. If you have updated the T6 jre to use strong encryption, you must migrate the policy files to the new JREs. The two files are:
    • \lib\security\local_policy.jar
    • \lib\security\US_export_policy.jar
See:
http://www-01.ibm.com/support/docview.wss?uid=swg21245273


  • Back up existing java
    1. Stop the T6 agent
    2. Backup existing java jres, for example
      > c:
      > cd c:\ibm\itm\tmaitm6\
      > move java60 java60.old
      > move java70 java70.old - only in 7.3.0.1-LA and later.
  • Replace the JREs
    1. Unzip/Untar the archive to the same directory, for example, after unarchiving your directory structure should be like:
      c:\IBM\ITM\TMAITM6>dir java*
      Volume in drive C has no label.
      Volume Serial Number is 44AB-01FC

      Directory of c:\IBM\ITM\TMAITM6

      29/05/2013 02:02 PM <DIR> java60
      12/03/2012 04:08 PM <DIR> java60.old
      29/05/2013 02:04 PM <DIR> java70
      13/02/2013 02:14 PM <DIR> java70.old
      0 File(s) 0 bytes
      4 Dir(s) 30,808,731,648 bytes free

  • Validate the update JRE version/function
    1. Check version number of JRE 6.0, for example
      > c:
      > cd c:\ibm\itm\tmaitm6
      > java60\jre\bin\java.exe -version
      java version "1.6.0"
      Java(TM) SE Runtime Environment (build pwi3260sr16-20140418_01(SR16))
      IBM J9 VM (build 2.4, JRE 1.6.0 IBM J9 2.4 Windows 7 x86-32 jvmwi3260sr16-20140416_196573 (JIT enabled, AOT enabled)
      J9VM - 20140416_196573
      JIT - r9_20130920_46510ifx5
      GC - GA24_Java6_SR16_20140416_1614_B196573)
      JCL - 20140406_01

      > java70\jre\bin\java.exe -version
      java version "1.7.0"
      Java(TM) SE Runtime Environment (build pwi3270sr7-20140410_01(SR7))
      IBM J9 VM (build 2.6, JRE 1.7.0 Windows 7 x86-32 20140409_195732 (JIT enabled, AOT enabled)
      J9VM - R26_Java726_SR7_20140409_1418_B195732
      JIT - r11.b06_20140409_61252
      GC - R26_Java726_SR7_20140409_1418_B195732
      J9CL - 20140409_195732)
      JCL - 20140409_01 based on Oracle 7u55-b13
  • Restart Agent and ensure RPT Script playback works.
  • (Optional) Delete the backup java runtimes.

Additional information

The Secure Hash Algorithm 1 (SHA1) checksum of the images are as follows:

7.4.0.0-TIV-CAMRT-AIX-IF0016.tar 47aae0b0857f1c0fef4eb7b2b93134bfcc65ce3a
7.4.0.0-TIV-CAMRT-Linux-IF0016.tar 7a3b23da4716d9b5d4f6a277c49315946036a4a1
7.4.0.0-TIV-CAMRT-Windows-IF0016.zip 07c997c2bf796e6bd761e64fc6716100e4f6f2f2

List of fixes

A) APAR Content:
IV61443 RRT: SECURITY UPDATES FOR JRE(S) APR 2014

B) Additional Non APAR Defects:
N/A

C) Enhancements
N/A

Document change history


Version Date Description of change
1.0 22 May 2014 Initial Version


















Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

Tivoli Composite Application Manager for Transactions

Reference #:

00001831

Modified date:

2014-09-26

Translate my page

Machine Translation

Content navigation